<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<header></header>
		<h1>HTML Tables and Forms</h1>
	</header>
	<main>
		<div id="section">
			
			<!-- Start of table -->

	<!-- table defines an HTML table -->
	<table border="1">	
		<!-- thead used to group a table header content -->
		<thead>
			<!-- tr - defines table row -->
			<tr>
				<!-- th - defines a table header element -->
				<th colspan="2">Entity</th>
				<th>Description</th>
			</tr>
		</thead>
		<!-- tbody used to group our table body content -->
		<tbody>
			<tr>
				<!-- td is a table data element -->
				<td>&lt;</td>
				<td>lt</td>
				<td>less than</td>
			</tr>
				<!-- td is a table data element -->
				<td>&gt;</td>
				<td>gt</td>
				<td>greater than</td>
			</tr>
			</tr>
				<!-- td is a table data element -->
				<td>&#8369;</td>
				<td>#8369</td>
				<td>peso sign</td>
			</tr>
			</tr>
				<td>&amp;</td>
				<td>amp</td>
				<td>ampersand</td>
			</tr>
			</tr>
				<td>&quot;</td>
				<td>quot</td>
				<td>double quotaion mark</td>
			</tr>
			</tr>
				<td>&apos;</td>
				<td>apos</td>
				<td>aposthrophe</td>
			</tr>
			</tr>
				<td>&ntilde;</td>
				<td>ntilde</td>
				<td>lower ntilde</td>
			</tr>
			</tr>
				<td>&Ntilde;</td>
				<td>ntilde</td>
				<td>upper ntilde</td>
			</tr>


		</tbody>
	</table>
	<!-- end of table -->

		</div>	
				<div id="section">
					
					<!-- start of form -->
	<h2>HTML Forms</h2>
	<p><em>Input elements that  make up a form</em></p>

	<!-- creates an HTML form to capture user input -->
	<form action="https://google.com/">

		<label for="full_name">Full Name:</label>
		<input type="text" name="full_name" id="full_name" required autocomplete="">
		<br><br>

			<label for="birth_date">Birth Date:</label>
			<input type="date" name="birth_date" id="birth_date" min="1" required> <br> <br>

		<label for="age">Age</label>
		<input type="number" name="age" id="age" min="1" required> <br> <br>

		<label for="gender">Gender</label>
		<select name="gender" id="gender">
			<option value="Male">Male</option>
			<option value="Female">Female</option>
		</select><br>
		
		<label for="notes">Notes: </label>	
		<textarea name="notes" rows="5" id="notes"></textarea><br><br>

			<!-- radio one answer -->
			<label>New User:</label><br>

			<input type="radio" name="new_user" id="user-type1" value="yes">
			<label for="user-type1">Yes</label><br>

			<input type="radio" name="new_user" id="user-type1" value="no">
			<label for="user-type2">No</label><br><br>

			<!-- checkbox multiple answer -->
			<label>Role</label><br>
			<input type="checkbox" name="role1" id="role1" value="developer">
			<label for="role1">Developer</label><br>

			<input type="checkbox" name="role1" id="role2" value="student">
			<label for="role2">Student</label><br>

			<input type="checkbox" name="role1" id="role3" value="manager">
			<label for="role13">Manager</label><br>



		<button type="submit">Submit</button>
		<button type="reset">Reset</button>



	</form>

	<!-- end of form -->
				</div>
	
	</main>
</body>
</html>